Index: slime.el
===================================================================
RCS file: /project/slime/cvsroot/slime/slime.el,v
retrieving revision 1.623
diff -u -r1.623 slime.el
--- slime.el	26 May 2006 20:14:19 -0000	1.623
+++ slime.el	27 May 2006 09:29:09 -0000
@@ -3797,7 +3797,11 @@
   (if (memq last-command
             '(slime-repl-previous-input slime-repl-next-input))
       slime-repl-history-pattern
-    (concat "^" (regexp-quote (slime-repl-current-input)))))
+    (concat "^" (regexp-quote (slime-buffer-substring-with-reified-output
+                               slime-repl-input-start-mark
+                               (if (> (point) slime-repl-input-start-mark)
+                                   (point)
+                                   slime-repl-input-end-mark))))))
 
 (defun slime-repl-previous-input ()
   (interactive)



